# Retrieve a taxonomy

Retrieves a taxonomy with a specific ID for example color.

Endpoint: GET /api/v2/cm/branches/{branchId}/taxonomies/{taxonomyId}
Version: v2.0
Security: OAuth2.0

## Path parameters:

  - `branchId` (string, required)
    The ID of the branch, for example prod.

  - `taxonomyId` (string, required)
    The ID of the taxonomy, for example color.

## Query parameters:

  - `version` (integer)
    The version of the taxonomy.

## Response 200 fields (application/json):

  - `id` (string,null, required)

  - `name` (string, required)

  - `system` (object, required)

  - `system.createdAt` (string, required)

  - `system.createdBy` (string,null, required)

  - `system.environment` (string,null, required)

  - `system.hash` (string,null, required)

  - `system.type` (string,null, required)

  - `system.status` (string)
    Enum: "Draft", "Published", "Archived"

  - `system.availabilityDate` (string,null)

  - `system.unavailabilityDate` (string,null)

  - `system.publishedAt` (string,null)

  - `system.publishedBy` (string,null)

  - `system.archivedDate` (string,null)

  - `system.archivedBy` (string,null)

  - `system.updatedAt` (string,null)

  - `system.updatedBy` (string,null)

  - `label` (string,null)

  - `version` (integer)

  - `versionTags` (array,null)

  - `terms` (array,null)

  - `terms.id` (string,null, required)

  - `terms.name` (string,null, required)

  - `terms.label` (string,null)

## Response 401 fields (application/json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)


## Response 500 fields
